(: Frame Emancipation
    (allochto* or vreemdeling* or immigrant* or asielzoeker* or minderheden) AND
    emancip*
    AND (integr* or particip*)
   
   Model: expressed via the contains() function of XQuery
:)

<frame name="emancipation">
{

(: Collection HAN :)
<collection name="HAN">
{
for $d in collection('HAN') 
  for $spreker in $d//spreker[(contains(string(.), "allochto") or
                               contains(string(.), "vreemdeling") or
                               contains(string(.), "immigrant") or
                               contains(string(.), "asielzoeker") or
                               contains(string(.), "minderheden")
                               )
                                and 
                              ( contains(string(.), "emancip") )
                                and
                              (
                               contains(string(.), "integr") or 
                               contains(string(.), "particip") ) ]
  return                           
    <result>
    {
     <date>{$d//metadata/item[@attribuut="Datum_vergadering"]/text()}</date>,
     <politicus name="{data($spreker/@naam)}" 
                party="{data($spreker/@partij)}"/>,
     <polidocslink>{
       concat("http://www.polidocs.nl/XML/HAN/",$d//metadata/item[@attribuut="Document-id"]/text(),".xml#",$spreker/@anker)
     }</polidocslink>,
     <content>{string($spreker)}</content>
    }
    </result>
}
</collection>,

(: Collection MOT:)
<collection name="MOT">
{
for $d in collection("MOT")
  for $text in $d//tekstxml[(contains(string(.), "allochto") or
                               contains(string(.), "vreemdeling") or
                               contains(string(.), "immigrant") or
                               contains(string(.), "asielzoeker") or
                               contains(string(.), "minderheden")
                               )
                                and 
                              ( contains(string(.), "emancip") )
                                and
                              (
                               contains(string(.), "integr") or 
                               contains(string(.), "particip") ) ]
  return                           
    <result>
    {
     <date>{data($d/document/datum/text())}</date>,
     <politicus name="{string($d//indienergnlod/item/naam/text())}" 
                party="{string($d//indienergnlod/item/partij/text())}"/>,
     <polidocslink>{
       concat("http://www.polidocs.nl/XML/MOT/",$d/document/@id,".xml")
     }</polidocslink>,
     <content>{string($text)}</content>
    }
    </result>
}
</collection>,

(: Collection KVR:)
<collection name="KVR">
{
for $d in collection("KVR")
  for $content in string-join((string($d//vragen),string($d//antwoorden))," ")
                           [(contains(string(.), "allochto") or
                               contains(string(.), "vreemdeling") or
                               contains(string(.), "immigrant") or
                               contains(string(.), "asielzoeker") or
                               contains(string(.), "minderheden")
                               )
                                and 
                              ( contains(string(.), "emancip") )
                                and
                              (
                               contains(string(.), "integr") or 
                               contains(string(.), "particip") ) ]
  return                           
    <result>
    {
     <date>{data($d//vraagdata/@indiendatum)}</date>,
     for $vrager in $d//vraagdata/vrager return
     <politicus name="{string($vrager)}" 
                party="{string($vrager/@partij)}"/>,
     <polidocslink>{
       concat("http://www.polidocs.nl/XML/KVR/",string($d//metadata/item[@attribuut="Document-id"]),".xml")
     }</polidocslink>,
     <content>{$content}</content>
    }
    </result>
}
</collection>

}
</frame>


