(: Frame Multicultural
    (multiculture*) AND (diversiteit or respect or verschil* or particip* or 
    dialoog or gesprek)
   
   Model: expressed via the contains() function of XQuery
:)

<frame name="multicultural">
{

(: Collection HAN :)
<collection name="HAN">
{
for $d in collection('HAN') 
  for $spreker in $d//spreker[contains(string(.), "multiculture") and 
                              ( contains(string(.), "diversiteit") or
                                contains(string(.), "respect") or 
                                contains(string(.), "verschil") or
                                contains(string(.), "particip") or
                                contains(string(.), "dialoog") or
                                contains(string(.), "gesprek")
                                ) ]
  return                           
    <result>
    {
     <date>{$d//metadata/item[@attribuut="Datum_vergadering"]/text()}</date>,
     <politicus name="{data($spreker/@naam)}" 
                party="{data($spreker/@partij)}"/>,
     <polidocslink>{
       concat("http://www.polidocs.nl/XML/HAN/",$d//metadata/item[@attribuut="Document-id"]/text(),".xml#",$spreker/@anker)
     }</polidocslink>,
     <content>{string($spreker)}</content>
    }
    </result>
}
</collection>,

(: Collection MOT:)
<collection name="MOT">
{
for $d in collection("MOT")
  for $text in $d//tekstxml[contains(string(.), "multiculture") and 
                              ( contains(string(.), "diversiteit") or
                                contains(string(.), "respect") or 
                                contains(string(.), "verschil") or
                                contains(string(.), "particip") or
                                contains(string(.), "dialoog") or
                                contains(string(.), "gesprek")
                                ) ]
  return                           
    <result>
    {
     <date>{data($d/document/datum/text())}</date>,
     <politicus name="{string($d//indienergnlod/item/naam/text())}" 
                party="{string($d//indienergnlod/item/partij/text())}"/>,
     <polidocslink>{
       concat("http://www.polidocs.nl/XML/MOT/",$d/document/@id,".xml")
     }</polidocslink>,
     <content>{string($text)}</content>
    }
    </result>
}
</collection>,

(: Collection KVR:)
<collection name="KVR">
{
for $d in collection("KVR")
  for $content in string-join((string($d//vragen),string($d//antwoorden))," ")
                           [contains(string(.), "multiculture") and 
                              ( contains(string(.), "diversiteit") or
                                contains(string(.), "respect") or 
                                contains(string(.), "verschil") or
                                contains(string(.), "particip") or
                                contains(string(.), "dialoog") or
                                contains(string(.), "gesprek")
                                ) ]
  return                           
    <result>
    {
     <date>{data($d//vraagdata/@indiendatum)}</date>,
     for $vrager in $d//vraagdata/vrager return
     <politicus name="{string($vrager)}" 
                party="{string($vrager/@partij)}"/>,
     <polidocslink>{
       concat("http://www.polidocs.nl/XML/KVR/",string($d//metadata/item[@attribuut="Document-id"]),".xml")
     }</polidocslink>,
     <content>{$content}</content>
    }
    </result>
}
</collection>

}
</frame>


